info:
  name: Recupero della carriera degli studenti
  type: http
  seq: 7
  tags:
    - persone

http:
  method: GET
  url: "{{baseUrl}}/persone/:persId/carriere/:stuId"
  params:
    - name: persId
      value: ""
      type: path
      description: identificativo della persona
    - name: stuId
      value: ""
      type: path
      description: identificativo della carriera
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: 200 Response
    description: Successful response
    request:
      url: "{{baseUrl}}/persone/:persId/carriere/:stuId"
      method: GET
      params:
        - name: persId
          value: ""
          type: path
          description: identificativo della persona
        - name: stuId
          value: ""
          type: path
          description: identificativo della carriera
    response:
      status: 200
      statusText: OK
      body:
        type: text
        data: ""

docs: |
  <span class="e3rest-operation-auth-img-list"><img src="basic.png"/><img src="jwt.png"/></span>Recupera l' oggetto 'Carriera'.


  **Estensioni:**

  Codice Estensione|Valore|Nota
  -|-|-
  x-cache-type|lowRefreshRateUserIndependent|Risorsa che varia con frequenza bassa, cache Http abilitata, cache server abilitata. Maggiori dettagli [qui](https://wiki.u-gov.it/confluence/display/ESSE3/Servizi+REST+su+ESSE3#ServiziRESTsuESSE3-Cachingdellerichieste) 


  **Controlli di sicurezza:**
  ======
  _Nota: Il controllo per utente è verificato quando viene passato almeno uno dei controlli previsti_

  **Utente: USER_TECNICO**

  Profilo|Controllo| Funzione
  -|-|-
  UTENTE_TECNICO|funzione accessibile alle utenze tecniche per accessi ai servizi REST|Security.checkUserTecnico()

  **Utente: STUDENTE**

  Profilo|Controllo| Funzione
  -|-|-
  STUDENTE|Permette la visualizzazione delle informazioni della persona dello studente|Security.checkStuPersId(persId)


  Classe di modello : Carriera
  ======

  Estensioni sulle proprietà
  ----
  Proprietà | x-field-type
  -|-|
  aaOrdId|primaryKey
  pdsId|primaryKey
  iscrId|primaryKey
  cdsId|primaryKey
  stuId|primaryKey
